Specifications (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.helpers
Class Specifications

    java.lang.Object
      org.neo4j.helpers.Specifications

    public class Specifications

extends Object

Common specifications

Nested Class Summary
`static class` | `Specifications.AndSpecification<T>`
`static class` | `Specifications.OrSpecification<T>`

Constructor Summary
`Specifications()`

Method Summary
`static
`<T> Specifications.AndSpecification<T>`
` | `and(Iterable<Specification<T>> specifications)`
`static
`<T> Specifications.AndSpecification<T>`
` | `and(Specification<T>... specifications)`
`static
`<T> Specification<T>`
` | `in(Iterable<T> allowed)`
`static
`<T> Specification<T>`
` | `in(T... allowed)`
`static
`<T> Specification<T>`
` | `not(Specification<T> specification)`
`static
`<T> Specification<T>`
` | `notNull()`
`static
`<T> Specifications.OrSpecification<T>`
` | `or(Iterable<Specification<T>> specifications)`
`static
`<T> Specifications.OrSpecification<T>`
` | `or(Specification<T>... specifications)`
`static
`<FROM,TO> Specification<FROM>`
` | `translate(Function<FROM,TO> function, Specification<? super TO> specification)`
`static
`<T> Specification<T>`
` | `TRUE()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Specifications

    public Specifications()

Method Detail

### TRUE

    public static <T> Specification<T> TRUE()

### not

    public static <T> Specification<T> not(Specification<T> specification)

### and

    public static <T> Specifications.AndSpecification<T> and(Specification<T>... specifications)

### and

    public static <T> Specifications.AndSpecification<T> and(Iterable<Specification<T>> specifications)

### or

    public static <T> Specifications.OrSpecification<T> or(Specification<T>... specifications)

### or

    public static <T> Specifications.OrSpecification<T> or(Iterable<Specification<T>> specifications)

### in

    public static <T> Specification<T> in(T... allowed)

### in

    public static <T> Specification<T> in(Iterable<T> allowed)

### notNull

    public static <T> Specification<T> notNull()

### translate

    public static <FROM,TO> Specification<FROM> translate(Function<FROM,TO> function,
                                                          Specification<? super TO> specification)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.